pkglab(1)

NAME
pkglab - explore package repositories

SYNOPSIS
pkglab [OPTION]...

DESCRIPTION
Pkglab is an interactive, console-based environment to explore package repositories of package-based software distributions.

A pkglab session typically starts by loading a package repository in one of the different formats understood pkglab. Then, pkglab can check given package combinations for co-installability according to inter-package relationships.

OPTIONS

-architecture architecture
    Default architecture to use when accessing packages from a package repository. By default the current host architecture is used.

-history filename
    Use the file filename to load and save command-line history. Defaults to $HOME/.pkglab-history.

-script filename
    Execute commands from the file filename.

-merge waterway
    Start by merging the archive found in waterway.

-help, --help
    Display basic help information.

SEE ALSO
Pkglab can read package repositories in the dose format produced by ceve(1).

The non-interactive tools edos-debcheck(1) and rpm-debcheck(1) use the same algorithm as pkglab for checking installability of packages.

AUTHORS
Pkglab was written by Berke Durak and Jaap Boender for the EDOS and Mancoosi projects.